Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511528 - Group Filters: Selected host is deselected after group saving
Summary: Group Filters: Selected host is deselected after group saving
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.3
Assignee: Zita Nemeckova
QA Contact: Ruslana Babyuk
URL:
Whiteboard: ui:group
Depends On: 1464960
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 14:04 UTC by Satoe Imaishi
Modified: 2018-02-28 13:08 UTC (History)
5 users (show)

Fixed In Version: 5.8.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1464960
Environment:
Last Closed: 2018-02-28 13:08:18 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-14 01:28:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8fd165a0fd0983551299639eb7a1201988afac2f

commit 8fd165a0fd0983551299639eb7a1201988afac2f
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Oct 10 08:21:28 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 13 20:27:35 2017 -0500

    Merge pull request #2325 from ZitaNemeckova/missing_host_check
    
    Fix selection of Hosts in HAC tree
    (cherry picked from commit a4ad80ed3bb14cfd5522864411239a6dcdeee696)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511528

 app/presenters/tree_builder_belongs_to_hac.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Ruslana Babyuk 2017-12-18 12:21:16 UTC
Cannot save changed with deselecting host, as Save button is inactive, or even if there some other changes host is still selected

Comment 5 CFME Bot 2018-01-15 14:34:11 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ec5a5651edb182d759602f97873430c3f65b97c9

commit ec5a5651edb182d759602f97873430c3f65b97c9
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Jan 15 10:03:19 2018 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 15 09:29:56 2018 -0500

    Merge pull request #3233 from ZitaNemeckova/fix_hac_tree
    
    Fix uncheck of Host in HaC tree
    (cherry picked from commit 25123ab46359e54d837dbb850da77602c734b667)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511528

 app/controllers/ops_controller/ops_rbac.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 8 errata-xmlrpc 2018-02-28 13:08:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.